Apache Tomcat 7.0.42

## org.apache.jasper.compiler
Interface JarResource

All Known Implementing Classes:
  JarURLResource

    public interface JarResource

Method Summary
`URL` `getEntry(String name)`
`JarFile` `getJarFile()`
`String` `getUrl()`

Method Detail

### getJarFile

    JarFile getJarFile()
                       throws IOException

  Returns:
    The JarFile for this resource. A new instance of JarFile should be returned on each call.
  Throws:
    `IOException`

### getUrl

    String getUrl()

  Returns:
    The URL of this resource. May or may not point to the actual Jar file.

### getEntry

    URL getEntry(String name)

  Parameters:
    `name` -
  Returns:
    The URL for the entry within this resource.

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.